%define realname amarok

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	amarok is a KDE4 based audio Player.
Name:		amarok
Version:	2.3.1
Release:	2
BuildArch:	i686
License:	GNU/GPL
URL:		http://amarok.kde.org
Group:		Multimedia/Audio
Source0:	%{realname}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
# Require for rpm lzma compression transition
Requires:	rpm >= 4.4.2.3-1
Requires:	qtscriptgenerator
Requires:	mysql-embedded >= 5.0.83
Obsoletes:	amarok2
BuildRequires: pulseaudio-libs-devel
#Automatically resolved build dependencies
BuildRequires: automoc4
BuildRequires: bzip2-devel
BuildRequires: curl-devel
BuildRequires: gamin-devel
BuildRequires: giflib-devel
BuildRequires: glib-devel
BuildRequires: glibc-devel
BuildRequires: gtk2+-devel
BuildRequires: kdebase-workspace-devel
BuildRequires: kdelibs-devel
BuildRequires: kdemultimedia-devel
BuildRequires: libacl-devel
BuildRequires: libattr-devel
BuildRequires: libgcc
BuildRequires: libgcrypt-devel
BuildRequires: libgpod-devel
BuildRequires: libidn-devel
BuildRequires: libICE-devel
BuildRequires: libjpeg-devel
BuildRequires: liblastfm-devel
BuildRequires: libloudmouth-devel
BuildRequires: libmp4v2-devel
BuildRequires: libmtp-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXft-devel
BuildRequires: libxml2-devel
BuildRequires: libXpm-devel
BuildRequires: libXrender-devel
BuildRequires: libXtst-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: mysql-devel
BuildRequires: mysql-embedded-devel
BuildRequires: openssl-devel
BuildRequires: pcre-devel
BuildRequires: phonon-devel
BuildRequires: qca-devel
BuildRequires: qt4-devel
BuildRequires: qtscriptgenerator
BuildRequires: soprano-devel
BuildRequires: strigi-devel
BuildRequires: taglib-devel taglib-extras-devel
BuildRequires: zlib-devel

%description
amaroK 2.x is a music player for Linux and Unix with an intuitive interface.
This is the QT4 and KDE4 based version of amarok.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{realname}-%{version}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}
#make -C %{_target_platform}

%install
rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{realname}
%find_lang amarokcollectionscanner_qt
%find_lang amarok_scriptengine_qscript
%find_lang amarokpkg

cat amarokcollectionscanner_qt.lang >> %{realname}.lang 
cat amarok_scriptengine_qscript.lang >> %{realname}.lang 
cat amarokpkg.lang >> %{realname}.lang 

# unpackaged files
rm -f %{buildroot}%{_kde4_libdir}/libamarok{_taglib,lib,plasma,pud}.so
rm -f %{buildroot}%{_kde4_libdir}/libmediadevicelib.so

# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files  
%defattr(-,root,root)
%{_bindir}/amarok
%{_bindir}/amarok_afttagger
%{_bindir}/amarokcollectionscanner
%{_bindir}/amarokmp3tunesharmonydaemon
%{_bindir}/amarokpkg                  
%{_libdir}/kde4/amarok_appletscript_simple_javascript.so
%{_libdir}/kde4/amarok_collection-audiocdcollection.so  
%{_libdir}/kde4/amarok_collection-daapcollection.so     
%{_libdir}/kde4/amarok_collection-ipodcollection.so     
%{_libdir}/kde4/amarok_collection-mtpcollection.so      
%{_libdir}/kde4/amarok_collection-mysqlecollection.so   
%{_libdir}/kde4/amarok_collection-mysqlservercollection.so
%{_libdir}/kde4/amarok_collection-umscollection.so        
%{_libdir}/kde4/amarok_containment_vertical.so            
%{_libdir}/kde4/amarok_context_applet_albums.so           
%{_libdir}/kde4/amarok_context_applet_currenttrack.so     
%{_libdir}/kde4/amarok_context_applet_info.so             
%{_libdir}/kde4/amarok_context_applet_lyrics.so           
%{_libdir}/kde4/amarok_context_applet_photos.so           
%{_libdir}/kde4/amarok_context_applet_videoclip.so        
%{_libdir}/kde4/amarok_context_applet_wikipedia.so        
%{_libdir}/kde4/amarok_data_engine_current.so             
%{_libdir}/kde4/amarok_data_engine_info.so                
%{_libdir}/kde4/amarok_data_engine_lyrics.so              
%{_libdir}/kde4/amarok_data_engine_photos.so              
%{_libdir}/kde4/amarok_data_engine_videoclip.so           
%{_libdir}/kde4/amarok_data_engine_wikipedia.so           
%{_libdir}/kde4/amarok_massstorage-device.so              
%{_libdir}/kde4/amarok_runnerscript_javascript.so         
%{_libdir}/kde4/amarok_service_ampache.so                 
%{_libdir}/kde4/amarok_service_jamendo.so                 
%{_libdir}/kde4/amarok_service_lastfm.so                  
%{_libdir}/kde4/amarok_service_magnatunestore.so          
%{_libdir}/kde4/amarok_service_mp3tunes.so                
%{_libdir}/kde4/amarok_service_opmldirectory.so           
%{_libdir}/kde4/kcm_amarok_service_ampache.so             
%{_libdir}/kde4/kcm_amarok_service_lastfm.so              
%{_libdir}/kde4/kcm_amarok_service_magnatunestore.so      
%{_libdir}/kde4/kcm_amarok_service_mp3tunes.so            
%{_libdir}/libamaroklib.so.*
%{_libdir}/libamarokocsclient.so                          
%{_libdir}/libamarokocsclient.so.*
%{_libdir}/libamarokpud.so.*                              
%{_libdir}/libamarok-sqlcollection.so
%{_libdir}/libamarok-sqlcollection.so.*
%{_libdir}/strigi/strigita_audible.so                     
%{_libdir}/strigi/strigita_mp4.so                         
%{_applications}/kde4/amarok.desktop                      
%{_datadir}/config/amarokapplets.knsrc                    
%{_datadir}/config/amarok_homerc                          
%{_datadir}/config/amarok.knsrc                           
%{_datadir}/config.kcfg/amarokconfig.kcfg                 
%{_datadir}/dbus-1/interfaces/org.freedesktop.MediaPlayer.player.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.MediaPlayer.root.xml  
%{_datadir}/dbus-1/interfaces/org.freedesktop.MediaPlayer.tracklist.xml
%{_datadir}/dbus-1/interfaces/org.kde.amarok.Collection.xml            
%{_datadir}/dbus-1/interfaces/org.kde.amarok.SqlCollection.xml         
%{_datadir}/icons/hicolor/*/apps/amarok.png                      
%{_datadir}/kde4/apps/amarok 
%{_datadir}/kde4/apps/desktoptheme/Amarok-Mockup                                             
%{_datadir}/kde4/apps/desktoptheme/default/widgets/amarok-albums.svg                                
%{_datadir}/kde4/apps/desktoptheme/default/widgets/amarok-currenttrack.svg                          
%{_datadir}/kde4/apps/desktoptheme/default/widgets/amarok-info-applet.svg                           
%{_datadir}/kde4/apps/desktoptheme/default/widgets/amarok-wikipediaheader.svg                       
%{_datadir}/kde4/apps/desktoptheme/default/widgets/amarok-wikipedia.svg                             
%{_datadir}/kde4/apps/solid/actions/amarok-play-audiocd.desktop                                     
%{_datadir}/kde4/services/amarokitpc.protocol
%{_datadir}/kde4/services/amarok_collection-audiocdcollection.desktop                               
%{_datadir}/kde4/services/amarok_collection-daapcollection.desktop                                  
%{_datadir}/kde4/services/amarok_collection-ipodcollection.desktop                                  
%{_datadir}/kde4/services/amarok_collection-mtpcollection.desktop                                   
%{_datadir}/kde4/services/amarok_collection-mysqlecollection.desktop                                
%{_datadir}/kde4/services/amarok_collection-mysqlservercollection.desktop                           
%{_datadir}/kde4/services/amarok_collection-umscollection.desktop                                   
%{_datadir}/kde4/services/amarok-containment-vertical.desktop                                       
%{_datadir}/kde4/services/amarok-context-applet-albums.desktop                                      
%{_datadir}/kde4/services/amarok-context-applet-currenttrack.desktop                                
%{_datadir}/kde4/services/amarok-context-applet-info.desktop                                        
%{_datadir}/kde4/services/amarok-context-applet-lyrics.desktop                                      
%{_datadir}/kde4/services/amarok-context-applet-photos.desktop                                      
%{_datadir}/kde4/services/amarok-context-applet-videoclip.desktop                                   
%{_datadir}/kde4/services/amarok-context-applet-wikipedia.desktop                                   
%{_datadir}/kde4/services/amarok-data-engine-current.desktop                                        
%{_datadir}/kde4/services/amarok-data-engine-info.desktop                                           
%{_datadir}/kde4/services/amarok-data-engine-lyrics.desktop                                         
%{_datadir}/kde4/services/amarok-data-engine-photos.desktop                                         
%{_datadir}/kde4/services/amarok-data-engine-videoclip.desktop                                      
%{_datadir}/kde4/services/amarok-data-engine-wikipedia.desktop                                      
%{_datadir}/kde4/services/amaroklastfm.protocol                                                     
%{_datadir}/kde4/services/amarok_massstorage-device.desktop                                         
%{_datadir}/kde4/services/amarok.protocol                                                           
%{_datadir}/kde4/services/amarok-scriptengine-applet-simple-javascript.desktop                      
%{_datadir}/kde4/services/amarok-scriptengine-runner-javascript.desktop                             
%{_datadir}/kde4/services/amarok_service_ampache_config.desktop                                     
%{_datadir}/kde4/services/amarok_service_ampache.desktop                                            
%{_datadir}/kde4/services/amarok_service_jamendo.desktop                                            
%{_datadir}/kde4/services/amarok_service_lastfm_config.desktop                                      
%{_datadir}/kde4/services/amarok_service_lastfm.desktop                                             
%{_datadir}/kde4/services/amarok_service_magnatunestore_config.desktop                              
%{_datadir}/kde4/services/amarok_service_magnatunestore.desktop                                     
%{_datadir}/kde4/services/amarok_service_mp3tunes_config.desktop                                    
%{_datadir}/kde4/services/amarok_service_mp3tunes.desktop                                           
%{_datadir}/kde4/services/amarok_service_opmldirectory.desktop                                      
%{_datadir}/kde4/services/ServiceMenus/amarok_append.desktop                                        
%{_datadir}/kde4/servicetypes/amarok_codecinstall.desktop                                           
%{_datadir}/kde4/servicetypes/amarok_context_applet.desktop                                         
%{_datadir}/kde4/servicetypes/amarok_data_engine.desktop                                            
%{_datadir}/kde4/servicetypes/amarok_plugin.desktop                                                 
%{_locale}/*/LC_MESSAGES/amarokcollectionscanner_qt.mo                                             
%{_locale}/*/LC_MESSAGES/amarok.mo                                                                 
%{_locale}/*/LC_MESSAGES/amarokpkg.mo                                                              
%{_locale}/*/LC_MESSAGES/amarok_scriptengine_qscript.mo                                            

%{_libdir}/kde4/amarok_context_applet_similarArtists.so
%{_libdir}/kde4/amarok_context_applet_upcomingEvents.so
%{_libdir}/kde4/amarok_data_engine_similarArtists.so
%{_libdir}/kde4/amarok_data_engine_upcomingEvents.so
%{_libdir}/libamarokcore.so
%{_libdir}/libamarokcore.so.*
%{_datadir}/kde4/services/amarok-context-applet-similarArtists.desktop
%{_datadir}/kde4/services/amarok-context-applet-upcomingEvents.desktop
%{_datadir}/kde4/services/amarok-data-engine-similarArtists.desktop
%{_datadir}/kde4/services/amarok-data-engine-upcomingEvents.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jun 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.3.1-2
- rebuilt against mysql 5.1.47
* Thu Jun 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.3.1-1
- Version update
* Mon Apr 12 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.3.0-1
- Version update
* Fri Jan 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.2.2-1
- Version update
* Tue Nov 17 2009 Christian Metzen <metzench@ccux-linux.de> 2.2.1-1
- Version update
- add BuildArch for ccuxbuild
* Fri Sep 16 2009 Christian Metzen <metzench@ccux-linux.de> 2.2.0-2
- rebuild, upload was corrupted
* Fri Sep 09 2009 Christian Metzen <metzench@ccux-linux.de> 2.2.0-1
- Version update
* Tue Jun 23 2009 Christian Metzen <metzench@ccux-linux.de> 2.1.1-2
- add qtscriptgenerator require
* Sat Jun 20 2009 Christian Metzen <metzench@ccux-linux.de> 2.1.1-1
- Version update
* Thu Jun 04 2009 Christian Metzen <metzench@ccux-linux.de> 2.1-1
- Version update
* Fri Mar 20 2009 Christian Metzen <metzench@ccux-linux.de> 2.0.2-2
- rebuild against libgpod-0.7.0
* Sat Mar 07 2009 Christian Metzen <metzench@ccux-linux.de> 2.0.2-1
- Version update
* Mon Jan 12 2009 Christian Metzen <metzench@ccux-linux.de> 2.0.1.1-2
- rename package to amarok, obsolete amarok2, 2.x port should now be stable enough
* Mon Jan 12 2009 Christian Metzen <metzench@ccux-linux.de> 2.0.1.1-1
- Version update
* Sat Dec 13 2008 Christian Wasem <wasem@ccux-linux.de> 2.0-2
- changed package group to Multimedia/Audio
* Thu Dec 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.0-1
- Version update
* Wed Nov 05 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.94-1
- Version update
* Wed Oct 15 2008 Christian Metzen <metzench@ccux-linux.de> 1.92.2-1
- beta 2
* Wed Aug 27 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.90-1
- Version update
* Sat Aug 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.86-2
- rebuilt against libgpod 0.6.0
* Thu Jul 24 2008 Christian Metzen <metzench@ccux-linux.de> 1.86-1
- Version update
- corrected changelog
* Sun May 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.83-1
- Initial Release
- based on amarok package
